version: "3.8"

volumes:
  caddy_data:
    driver: "{{ docker_volume_driver }}"

services:
  caddy:
    image: caddy:{{ caddy_version }}
    container_name: caddy
    restart: unless-stopped
    ports:
      - "80:80"
      - "443:443"
    volumes:
      - {{ deployment_dir }}/Caddyfile:/etc/caddy/Caddyfile
      - caddy_data:/data
    #TODO: healthchecks
